Partially update opportunity
curl --request PATCH \
--url https://app.forecastable.com/api/v1/opportunities/{opportunityId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"partnerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"buyingGroupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"amount": "<string>",
"stageName": "<string>",
"closeDate": "2023-12-25",
"ownerEmail": "jsmith@example.com",
"sfOwner": "<string>",
"oldBuyingGroupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://app.forecastable.com/api/v1/opportunities/{opportunityId}"
payload = {
"partnerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"buyingGroupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"amount": "<string>",
"stageName": "<string>",
"closeDate": "2023-12-25",
"ownerEmail": "jsmith@example.com",
"sfOwner": "<string>",
"oldBuyingGroupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
partnerId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
buyingGroupId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
description: '<string>',
amount: '<string>',
stageName: '<string>',
closeDate: '2023-12-25',
ownerEmail: 'jsmith@example.com',
sfOwner: '<string>',
oldBuyingGroupId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://app.forecastable.com/api/v1/opportunities/{opportunityId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"opportunity": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subscriberId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"partnerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"sfId": "<string>",
"salesforceUrl": "<string>",
"description": "<string>",
"imageUrl": "<string>",
"amount": "<string>",
"stage": "<string>",
"status": "<string>",
"closeDate": "2023-12-25",
"nextStep": "<string>",
"nextStepDate": "2023-12-25",
"buyingGroupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ownerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sfOwner": "<string>",
"collaboratorIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"isClosed": true,
"isInvited": true,
"planId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Opportunities
Partially update opportunity
PATCH
/
opportunities
/
{opportunityId}
Partially update opportunity
Authorizations
Partner OAuth2 flows for integration API access tokens. Claude MCP custom connectors use authorization code with PKCE S256.
Headers
Active organization UUID. Required for authenticated requests when the principal has access to multiple organizations.
Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$Path Parameters
Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$Query Parameters
Read-only convenience alias for X-Organization-Id. Legacy subscriberId query param is also accepted.
Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$Body
application/json
Partner account UUID (UI "Partner Name"). The partner this opportunity is attributed to.
Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$Required string length:
1 - 120Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$Response
Updated opportunity.
Show child attributes
Show child attributes
Was this page helpful?
⌘I